[Task] Add button to translate article
Closed, ResolvedPublic

Description

Add a button to use the content translation extension

Related Objects

Lucie created this task.Jan 19 2016, 1:04 PM
Lucie updated the task description. (Show Details)
Lucie raised the priority of this task from to Normal.
Lucie claimed this task.
Lucie added a subscriber: Lucie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2016, 1:04 PM
Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Feb 3 2016, 1:30 PM
Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Apr 1 2016, 2:32 PM
Florian claimed this task.Apr 1 2016, 2:38 PM

Change 280950 had a related patch set uploaded (by Florianschmidtwelzow):
WIP: Allow to create a page as a translateion from an existing source language

https://gerrit.wikimedia.org/r/280950

Lucie moved this task from To Do Next to Doing on the ArticlePlaceholder board.Apr 2 2016, 11:34 AM
Lucie moved this task from Doing to Review on the ArticlePlaceholder board.Apr 2 2016, 12:55 PM
JanZerebecki added a subscriber: JanZerebecki.

Sorry I need to remove ContentTranslation as dependency again, until T133774 is fixed.

Change 302913 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Move ResourceLoader modules to separate folders

https://gerrit.wikimedia.org/r/302913

Change 302913 merged by jenkins-bot:
Move ResourceLoader modules to separate folders

https://gerrit.wikimedia.org/r/302913

We would like to have a campaign parameter set in the URL that is navigated from the button. For example, it can be 'articleplaceholder'.

This will allow us to configure Content translation to activate the beta feature for the user without going through special:preference and all.

Also helps us to do analytics to see how many translation started from a workflow starting here.

An example where this kind of campaign and automatic beta feature activation is implemented: http://recommend.wmflabs.org/

Sounds good.
Lucie: Do you know how to do it or do you need an example from @santhosh?

Jonas removed Florian as the assignee of this task.Nov 8 2016, 6:48 PM
Jonas added a subscriber: Florian.

Change 320799 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Wrap new article button in a div

https://gerrit.wikimedia.org/r/320799

Change 320970 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
More generic title message for "create article" popup(s)

https://gerrit.wikimedia.org/r/320970

Jonas claimed this task.

Change 320799 merged by jenkins-bot:
Wrap new article button in a div

https://gerrit.wikimedia.org/r/320799

Change 320970 merged by jenkins-bot:
More generic title message for "create article" popup(s)

https://gerrit.wikimedia.org/r/320970

Change 280950 merged by jenkins-bot:
Allow to create a page as an article translation

https://gerrit.wikimedia.org/r/280950

Jonas closed this task as Resolved.

Change 322071 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Rename and move create… and translateArticle.js files

https://gerrit.wikimedia.org/r/322071

Change 322072 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Trivial clean-ups to "new/translate article" button code

https://gerrit.wikimedia.org/r/322072

Change 322071 merged by jenkins-bot:
Rename and move create… and translateArticle.js files

https://gerrit.wikimedia.org/r/322071

Change 322072 merged by jenkins-bot:
Trivial clean-ups to "new/translate article" button code

https://gerrit.wikimedia.org/r/322072

hoo moved this task from Review to Done on the ArticlePlaceholder board.Dec 13 2016, 10:07 AM